Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 378273 - media-gfx/brlcad fails to build with libpng-1.5 (missing zlib.h include)
Summary: media-gfx/brlcad fails to build with libpng-1.5 (missing zlib.h include)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Dongxu Li
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-08-08 10:52 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2011-10-03 20:10 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (brlcad-7.18.4:20110808-103534.log,374.11 KB, text/plain)
2011-08-08 10:52 UTC, Diego Elio Pettenò (RETIRED)
Details
complete fix for libpng-1.5 support (brlcad-7.18.4-libpng15-v2.patch,959 bytes, text/plain)
2011-09-19 18:04 UTC, Ian Stakenvicius
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2011-08-08 10:52:40 UTC
Created attachment 282555 [details]
Build log

Portage 2.1.10.10 (default/linux/x86/10.0, gcc-4.6.0-asneeded, glibc-2.14-r0, 3.0.0 i686)
=================================================================
System uname: Linux-3.0.0-i686-Quad-Core_AMD_Opteron-tm-_Processor_2350-with-gentoo-2.0.3
Timestamp of tree: Thu, 04 Aug 2011 02:00:01 +0000
distcc[2198] (dcc_get_top_dir) Warning: HOME is not set; can't find distcc directory [disabled]
ccache version 3.1.5 [disabled]
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r2, 3.2-r2
dev-util/ccache:          3.1.5
dev-util/cmake:           2.8.5-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21.1
sys-devel/gcc:            4.6.0
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.14
Repositories: gentoo
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /usr/share/bufrtables /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/openvpn/easy-rsa /usr/share/qpsmtpd/plugins /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind /var/lib/hsqldb /var/phxd /var/vpopmail/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/var/cache/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms split-log strict test test-fail-continue unknown-features-warn unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.wheel.sk/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j14"
PKGDIR="/var/spool/portage/packages"
PORTAGE_COMPRESS=""
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/cache/portage/tree"
PORTDIR_OVERLAY=""
SYNC="rsync://yamato.home.flameeyes.eu/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups cxx dri fortran gdbm gpm iconv ipv6 java5 java6 modules mudflap mysql ncurses nls nostatic nptl nptlonly openmp pam pcre pcsc-lite perl postgres pppd python qt3support readline ruby semantic-desktop session ssl sysfs tcpd unicode vhosts x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias auth_digest cgi" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18 jruby ruby19 ree18" USERLAND="GNU" VIDEO_CARDS="intel radeon nouveau vmware" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Dongxu Li 2011-08-10 00:35:57 UTC
already fixed by upstream in subversion trunk.

A patch for 7.20.2 version is included in science overlay, hopefully, pushed to main tree soon.

Thanks for reporting.
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2011-08-10 00:41:13 UTC
Has to be open until in main tree.
Comment 3 Samuli Suominen gentoo-dev 2011-09-14 12:09:29 UTC
brlcad needs tkimg, and tkimg maintainers have taken poor stance at bug 378261, so this wasn't really tested other than "it applies and should fix the error in the build.log"

+  14 Sep 2011; Samuli Suominen <ssuominen@gentoo.org> brlcad-7.18.4.ebuild,
+  +files/brlcad-7.18.4-libpng15.patch:
+  Fix building with libpng15 (missing zlib.h include) wrt #378273 by Diego Elio
+  Pettenò

please reopen if it still doesn't build
Comment 4 Ian Stakenvicius gentoo-dev 2011-09-19 16:41:05 UTC
Not fixed -- there's another zlib error:

src/fb/fb-png.c:188: error: ‘Z_BEST_COMPRESSION’ undeclared (first use in this function)
Comment 5 Ian Stakenvicius gentoo-dev 2011-09-19 16:47:41 UTC
..and also src/util/pix-png.c has less trivial incompatibilities:


In file included from pix-png.c:40:
/usr/include/png.h:1728: error: expected declaration specifiers or ‘...’ before ‘png_FILE_p’
pix-png.c: In function ‘write_png’:
pix-png.c:147: error: too many arguments to function ‘png_init_io’


..i'll see if i can get a patch done this afternoon.
Comment 6 Dongxu Li 2011-09-19 17:36:59 UTC
or simply wait for 7.20.4

if it's too much trouble to backport the fixes
Comment 7 Ian Stakenvicius gentoo-dev 2011-09-19 18:04:31 UTC
Created attachment 287031 [details]
complete fix for libpng-1.5 support

This patch includes the previous one, and adds the patches for the remaining two files.  Fortunately, both fixes were rather simple.
Comment 8 Markos Chandras (RETIRED) gentoo-dev 2011-09-20 13:07:21 UTC
Ok so this can't be fixed unless bug #378261 is fixed.
Comment 9 Lars Wendler (Polynomial-C) gentoo-dev 2011-09-23 08:59:47 UTC
+  23 Sep 2011; Lars Wendler <polynomial-c@gentoo.org>
+  files/brlcad-7.18.4-libpng15.patch:
+  non-maintainer commit: Added fixed patch to build with libpng15 (bug
+  #378273). ACKed by ssuominen. Thanks to Ian Stakenvicius for providing a
+  working patch.
+